Comment several tasks

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /actions/tasks/batch-comment

Add comments to several tasks in one request. Send a multipart form. Each entry of comments is a JSON object with task_id, task_status_id and text, and optional checklist, links, person_id and created_at. You can also send a JSON body with a comments list. Each comment sets the status of its task. To attach files to the comment at index i, name the form fields attachment_file-i and preview_file-i. Only a manager can set person_id and created_at. You must be able to do actions on each task.

Body Required

  • comments string Required

    JSON string containing array of comments

Body Required

  • comments array[object] Required

    List of comments

Responses

  • 201 application/json

    The new comments

  • 400

    The body is not valid

  • 403

    You cannot do actions on a task, or you cannot use a task status

  • 404

    A task does not exist

POST /actions/tasks/batch-comment
curl -X POST "http://api.example.com/actions/tasks/batch-comment" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/actions/tasks/batch-comment"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "comments": [
    {}
  ]
}
Response examples (201)
[
  {}
]